# geos::operation::polygonize::PolygonizeDirectedEdge Class Reference

A DirectedEdge of a PolygonizeGraph, which represents an edge of a polygon formed by the graph. More...

`#include <PolygonizeDirectedEdge.h>`

Inheritance diagram for geos::operation::polygonize::PolygonizeDirectedEdge:

List of all members.

## Public Member Functions

| PolygonizeDirectedEdge (planargraph::Node *newFrom, planargraph::Node *newTo, const geom::Coordinate &newDirectionPt, bool nEdgeDirection)
long | getLabel () const
void | setLabel (long newLabel)
PolygonizeDirectedEdge * | getNext () const
void | setNext (PolygonizeDirectedEdge *newNext)
bool | isInRing () const
void | setRing (EdgeRing *newEdgeRing)

## Detailed Description

A DirectedEdge of a PolygonizeGraph, which represents an edge of a polygon formed by the graph.

May be logically deleted from the graph by setting the `marked` flag.

The documentation for this class was generated from the following file:

- PolygonizeDirectedEdge.h